Subject: bug#10348: 24.0.92; Save and load window states

From: Stefan Monnier <[email-masked]>
Date: Sun, 25 Dec 2011 19:22:49 -0500

> So we'd either have to copy the parameter list when creating a window
> configuration, not use `setcdr' in `set-window-parameter', or make a new
> slot for parameters that must not be modified destructively.  Neither
> solution seems attractive to me.

Copying the alist seems perfectly fine to me.  This said, while we're
copying, we may as well filter at the same time: Emacs-23 did not
preserve parameters, so rather than preserving them all, we could make
Emacs-24 preserve only those params mentioned in a new var
`window-configuration-saved-parameters'.  For all I know, this new var
might even be shared with `window-state-saved-parameters'.

        Stefan